<?php
    if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class TipoHabitaciones_Model extends CI_Model
{
    //Constructor 
    function __construct()
    {
        parent::__construct();
        //$this->load->library('encryption');
    }

	//Registrar Correos
    public function saveTipoHabitaciones($data)
    {
        //Inicio transaccion    
        $this->db->trans_begin();  

        //recorrer el data.    
        $Opcion         = $data['Opcion'];        
        $TipoHabitacion = $data['TipoHabitacion'];        
        $Capacidad      = $data['Capacidad'];        
        $Descripcion    = $data['Descripcion'];           
 
        //Llamo al procedimiento almacenado
        $misql='EXEC spInsertTipoHabitacion @Opcion         = '.$Opcion.', 
                                            @TipoHabitacion = '.$TipoHabitacion.',  
                                            @Capacidad      = '.$Capacidad.', 
                                            @Descripcion    = '.$Descripcion.'';
                                           
        //Envio el procedimiento y los parametros
        $result=$this->db->query($misql); 
         
        //Control de transacciones 
        if ($this->db->trans_status() === false){
            $this->db->trans_rollback();
            return false;
        } else {
            $this->db->trans_commit();
            return true;
        }
    }

    //Tiempo Correos
    public function updateTipoHabitaciones($data)
    {
        //Inicio transaccion    
	  	$this->db->trans_begin();  

	  	//recorrer el data.
	  	$Opcion           = $data['Opcion'];
	  	$TipoHabitacion   = $data['TipoHabitacion'];        
	  	$Capacidad        = $data['Capacidad'];        
	  	$Descripcion      = $data['Descripcion'];        
	  	$IdTipoHabitacion = $data['IdTipoHabitacion'];   

		//Llamo al procedimiento almacenado
	  	$misql='EXEC spUpdateTipoHabitacion @Opcion           = '.$Opcion.',
									        @TipoHabitacion   = '.$TipoHabitacion.',
									        @Capacidad        = '.$Capacidad.',  
									        @Descripcion      = '.$Descripcion.', 
									        @IdTipoHabitacion = '.$IdTipoHabitacion.'' ;

		//Envio el procedimiento y los parametros
	  	$result=$this->db->query($misql); 
	  
	  	//Control de transacciones 
	  	if ($this->db->trans_status() === false)
		{
		  	$this->db->trans_rollback();
		  	return false;
	  	} else 
		{
		  	$this->db->trans_commit();
		  	return true;
	  	}
    }

	// public function actualizarHabitaciones($data)
	// {
	// 	//Inicio transaccion    
	// 	$this->db->trans_begin();  

	// 	//recorrer el data.
	// 	$id=$data['IdHabitacion'];
	// 	$this->db->where('IdHabitacion', $id);
	// 	$this->db->update('habitacion', $data);
		
	// 	//Control de transacciones 
	// 	if ($this->db->trans_status() === false) {
	// 		$this->db->trans_rollback();
	// 		return false;
	// 	} else {
	// 		$this->db->trans_commit();
	// 		return true;
	// 	}

	// }

    // //Buscar Correos por codigo
    // public function getHabitacion($data)
    // {
    //     //Utilizar la libreria
    //     $id=$data['Codigo_habitacion'];
    //     //$id=$data[0];
    //     $this->db->select('*');
    //     $this->db->from('habitacion');
    //     $this->db->where('Codigo_habitacion', $id);
    //     $query = $this->db->get();
    //     return $query;

    // }
    //Buscar tipo de habitaciones
 	public function getTipoHabitacionforParameter($limit=false,$offset=false,$data)
 	{

        $limit ? $this->db->limit($limit, $offset):'';

        $this->load->library('Consultar');
        $conn = $this->CI_Consultar->conexion(APP_SERVERNAME,APP_DBNAME,APP_USER,APP_PASS);
     
        $misql = "EXEC spGetTipoHabitacion @Opcion           = ".$data[0].",
                                           @IdTipoHabitacion = ".$data[1].",
                                           @IdClaseMatricula = ".$data[2].",
                                           @IdTipoOcupacion  = ".$data[3]."";

        // print_r($misql); die();
        $results=$this->CI_Consultar->consultarsp($misql,$conn);
        $results = mb_convert_encoding($results ,'UTF-8', 'HTML-ENTITIES');
        return $results;
    }

    //Buscar si el nombre del tipo de habitación existe
 	public function getNombreTipoHabitacion($limit=false,$offset=false,$data)
 	{

        $limit ? $this->db->limit($limit, $offset):'';

        $this->load->library('Consultar');
        $conn = $this->CI_Consultar->conexion(APP_SERVERNAME,APP_DBNAME,APP_USER,APP_PASS);
     
        $misql = "EXEC spGetNombreTipoHabitacion @Opcion         = ".$data[0].",
                                                 @TipoHabitacion = ".$data[1]."";

        $results=$this->CI_Consultar->consultarsp($misql,$conn);
        $results = mb_convert_encoding($results ,'UTF-8', 'HTML-ENTITIES');
        return $results;
    }

	// //Borrar Habitaciones
    // public function deleteHabitaciones($Data)
    // {
    //     //Inicio transaccion    
    //     $this->db->trans_begin();  
    //     //recorrer el data.
    //     $id=$data['Codigo_habitacion']; 
    //     $this->db->where('Codigo_habitacion', $id);
    //     $this->db->delete('habitacion');
        
    //     //Control de transacciones 
    //     if ($this->db->trans_status() === false) {
    //         $this->db->trans_rollback();
    //         return false;
    //     } else {
    //         $this->db->trans_commit();
    //         return true;
    //     }

    // }
}
?>
